Server Requirements

To run WP e-Commerce within your WordPress site your host just needs a couple of things:

  • Have cURL, GD and ImageMagick enabled on server
  • PHP5
  • WordPress 3.0 or higher

Recommend

  • PHP memory of 256m, 32m usually does the trick but for large stores more php memory may be necessary

If you’re not sure if your host supports the above jump over to the WordPress > Requirements page that has a handy ‘Ask for it’ e-mail template to send to your hosting provider.